REM
REM Warning: You should not run these labs on a production system. 
REM Commands and scripts are provided solely for testing purposes 
REM and need some adaptation to your testing environment.
REM
set echo on

alter pluggable database application toys_app begin install '1.0';

create user toys_owner identified by WElcome123## container=all;
grant create session, dba to toys_owner;
alter user toys_owner set container_data=all container=current;
create user test identified by WElcome123## container=all;
grant create session, select any table, select any dictionary to test container=all;

create table toys_owner.sales_data sharing=metadata 
(year       number(4),
 region     varchar2(10),
 quarter    varchar2(4),
 revenue    number);
INSERT INTO toys_owner.sales_data VALUES (2000, 'GLOBAL','YEAR',2900);
COMMIT;
create table toys_owner.currency sharing=data 
(code_curr  CHAR(3), country varchar2(14));
INSERT INTO toys_owner.currency VALUES ('EUR','France');
INSERT INTO toys_owner.currency VALUES ('EUR','Germany');
INSERT INTO toys_owner.currency VALUES ('USD','USA');
INSERT INTO toys_owner.currency VALUES ('GBP','UK');
commit;

create table toys_owner.codes sharing=EXTENDED data 
(code  number(4), label varchar2(30));
INSERT INTO toys_owner.codes VALUES (1,'Puppet');
INSERT INTO toys_owner.codes VALUES (2,'Car');
commit;

alter pluggable database application toys_app end install '1.0';

create pluggable database robots admin user admin identified by WElcome123## keystore identified by WElcome123##;
alter pluggable database robots open restricted;

connect sys/WElcome123##@robots as sysdba
ALTER PLUGGABLE DATABASE APPLICATION toys_app SYNC;
INSERT INTO toys_owner.sales_data VALUES (2000, 'US','Q4',2000);
INSERT INTO toys_owner.sales_data VALUES (2000, 'FRANCE','Q3',200);
INSERT INTO toys_owner.codes VALUES (3,'Robots');
commit;

connect sys/WElcome123##@toys_root as sysdba
create pluggable database dolls admin user admin identified by WElcome123## keystore identified by WElcome123##;
alter pluggable database dolls open restricted;
connect sys/WElcome123##@dolls as sysdba
ALTER PLUGGABLE DATABASE APPLICATION toys_app SYNC;
INSERT INTO toys_owner.sales_data VALUES (2000, 'GERMANY','Q2',400);
INSERT INTO toys_owner.sales_data VALUES (2000, 'UK','Q1',300);
INSERT INTO toys_owner.codes VALUES (4,'Dolls');
commit;
exit
